Firefox/Java issues on OS X 10.8+ require downgrade to Firefox 23

On OS X 10.8 systems, Firefox 24 and 25 cause the Java-plug in to crash.

The current solution is to downgrade to Firefox 23.01 and turn off Automatic Updates. Go to Firefox/Preferences/Advanced/Update and check “Never check for updates.”

Firefox 23.01 is on the Scratch drive in the downloads/firefox folder.

Posted in: Applications